namespace MileageTraker.Web.Migrations
{
    using System;
    using System.Data.Entity.Migrations;
    
    public partial class LogVehicleRelationship : DbMigration
    {
        public override void Up()
        {
            RenameColumn(table: "dbo.Log", name: "VehicleId", newName: "Vehicle_VehicleId");
            RenameIndex(table: "dbo.Log", name: "IDX_VehicleId", newName: "IX_Vehicle_VehicleId");
        }
        
        public override void Down()
        {
            RenameIndex(table: "dbo.Log", name: "IX_Vehicle_VehicleId", newName: "IDX_VehicleId");
            RenameColumn(table: "dbo.Log", name: "Vehicle_VehicleId", newName: "VehicleId");
        }
    }
}
